################### Makefile #####################
#Creado por Felipe López P. - Cristian Carrasco G.

MAIN = PhysicsLab.java
MAIN_APPLET = PhysicsLabApplet.java
FILE=""
DOC = docs 
JAVADOCPARAM = -d $(DOC) 
##################################################
# Compilar.
##################################################
build:
	@javac -encoding ISO8859_1 $(MAIN);
	@javac -encoding ISO8859_1 $(MAIN_APPLET);
	@jar cmf Manifiesto.txt PhysicsLab.jar *.class org PhysicsLab.html
	# @jar uf PhysicsLab.jar org
	@echo "Compilacion exitosa."
run:
	@java -jar PhysicsLab.jar
doc:   
	@if [ -d $(DOC) ]; then echo;  else mkdir $(DOC); fi 
	@javadoc -encoding ISO8859_1 $(JAVADOCPARAM) *.java;
	@echo "Documentacion generada exitosamente."

##################################################
